Skip to main content
PATCH
Update autopay configuration

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

autopay_config_id
string<uuid>
required

Autopay configuration ID

Body

application/json

Fields to update

Request to update an autopay configuration

config
object

Autopay configuration settings. When autopay_type is SCHEDULED, amount_rule must be CURRENT_BALANCE and timing_rule must be DAILY. When autopay_type is STATEMENT, timing_rule must be ON_DUE_DATE or DAYS_BEFORE_DUE.

status
enum<string>

Status of the autopay configuration

Available options:
ACTIVE,
PAUSED,
DISABLED

Response

Autopay configuration updated successfully

Autopay configuration for a lending account

config
object
required

Autopay configuration settings. When autopay_type is SCHEDULED, amount_rule must be CURRENT_BALANCE and timing_rule must be DAILY. When autopay_type is STATEMENT, timing_rule must be ON_DUE_DATE or DAYS_BEFORE_DUE.

creation_time
string<date-time>
required

Timestamp when the configuration was created

Example:

"2024-01-15T10:30:00Z"

id
string<uuid>
required

Unique identifier for the autopay configuration

Example:

"2d0f7601-ecc6-48b4-b82f-5d64fa84628b"

last_updated_time
string<date-time>
required

Timestamp when the configuration was last updated

Example:

"2024-01-15T10:30:00Z"

lending_account_id
string<uuid>
required

The lending account ID this configuration belongs to

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

status
enum<string>
required

Status of the autopay configuration

Available options:
ACTIVE,
PAUSED,
DISABLED
tenant
string
required

The id of the tenant containing the resource. This is relevant for Fintechs that have multiple workspaces.

Example:

"abcdef_ghijkl"

business_id
string<uuid>

The business ID that owns this autopay configuration (mutually exclusive with person_id)

Example:

"b2c3d4e5-f6a7-8901-bcde-f12345678901"

person_id
string<uuid>

The person ID who owns this autopay configuration (mutually exclusive with business_id)

Example:

"a1b2c3d4-e5f6-7890-abcd-ef1234567890"